/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
/*
 * Copyright  Comune di Prato - Sistema Informativo
 * Project:    Package SIT per elaborazione/interrogazione/gestione dati cartografici 
 * File:       ConfigBean.java
 * Author:     Alessandro Radaelli
 * Version:    1.0.0
 * CreationDate:  
 * ModifyDate:     
 *             
 */

package it.prato.comune.sit;

import it.prato.comune.utilita.core.type.IdType;

/**
 *  Classe ConfigBean. I parametri richiesti da org.geotools.data.DataStore per i vari tipi di Datastore 
 *  devono essere inseriti nella forma <i>nomeparametro1=valore1!!nomeparametro2=valore2!!</i><br><br> 
 *  Esempi validi sono:<br>
 *  per ShapeFile - url;%BASEPATH%/circoscrizioni/circoscrizioni.shp<br>
 *  per Postgres/postgis - dbtype;postgis!!host;localhost!!port;5432!!database;aaa!!user;postgres!!passwd;poposa  
 *  
 *  typeName nome della feature all'interno del datastore. Per ShapeFile e' il nome dell'unico layer contenuto, 
 *  per altri datastore (come per esempio Postgres, che puo' contenere piu' di un layer all'interno dello stesso datastore), 
 *  e' il nome del layer (o tabella nel caso di postgres). 
 * 
 */
public class ConfigLayerBean {
	
    private String      dataStoreParams;
    private boolean     dataStoreConHints = false;
    private String      dsPoolID;
    private String      dataStoreFactory = null;
    private String      queryDirettaJdbcUrl = null;
    private String      queryDirettaJdbcDriver = null;
    private String      queryDirettaUser = null;
    private String      queryDirettaPasswd = null;
    private String      typeName=null;
    private String      typeNameScrittura = null;
    private String      ente = "001";
    private IdType      storicoCodiceEvento = null;
    private IdType      storicoCodiceVariazione = null;
    private IdType      storicoCodiceNumeratore = null;
    private String      SRID = null;

    
    /**
     * 
     * @return String
     */
    public String getEnte() {        
        return ente;
    }
    
    /**
     * 
     * @param ente
     */
    public void setEnte(String ente) {
        this.ente = ente;
    }
    
    /**
     * 
     * @return boolean
     */
    public boolean isDataStoreConHints() {
        return dataStoreConHints;
    }
        
    /**
     * 
     * @param bdataStoreConHints
     */
    public void setDataStoreConHints(boolean bdataStoreConHints) {
        this.dataStoreConHints = bdataStoreConHints;
    }
        
    /**
     * 
     * @return String
     */
    public String getDataStoreParams() {
        return dataStoreParams;
    }
        
    /**
     * 
     * @param dataStoreParams
     */
    public void setDataStoreParams(String dataStoreParams) {
        this.dataStoreParams = dataStoreParams;
    }
        
    /**
     * 
     * @return String
     */
    public String getDataStoreFactory() {
        return dataStoreFactory;
    }
        
    /**
     * 
     * @param dataStoreConnectionPoolDriver
     */
    public void setDataStoreFactory(
            String dataStoreConnectionPoolDriver) {
        this.dataStoreFactory = dataStoreConnectionPoolDriver;
    }
        
    /**
     * 
     * @return String
     */
    public String getTypeName() {
        return typeName;
    }
        
    /**
     * 
     * @param typeName
     */
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
        
    /**
     * 
     * @return String
     */
    public String getTypeNameScrittura() {
        String szReturn;
        
        if ((typeNameScrittura==null) || (typeNameScrittura.equals(""))) {
            szReturn = getTypeName();  
        } else {
            szReturn = typeNameScrittura;
        }
        return szReturn;
    }
        
    /**
     * 
     * @param typeNameScrittura
     */
    public void setTypeNameScrittura(String typeNameScrittura) {
        this.typeNameScrittura = typeNameScrittura;
    }
        
    /**
     * 
     * @return IdType
     */
    public IdType getStoricoCodiceEvento() {
        return storicoCodiceEvento;
    }
        
    /**
     * 
     * @param storicoCodiceEvento
     */
    public void setStoricoCodiceEvento(IdType storicoCodiceEvento) {
        this.storicoCodiceEvento = storicoCodiceEvento;
    }
        
    /**
     * 
     * @param storicoCodiceEvento
     */
    public void setStoricoCodiceEvento(String storicoCodiceEvento) {
        this.storicoCodiceEvento = new IdType(storicoCodiceEvento);
    }
        
    /**
     * 
     * @return IdType
     */
    public IdType getStoricoCodiceNumeratore() {
        return storicoCodiceNumeratore;
    }
        
    /**
     * 
     * @param storicoCodiceNumeratore
     */
    public void setStoricoCodiceNumeratore(IdType storicoCodiceNumeratore) {
        this.storicoCodiceNumeratore = storicoCodiceNumeratore;
    }
        
    /**
     * 
     * @param storicoCodiceNumeratore
     */
    public void setStoricoCodiceNumeratore(String storicoCodiceNumeratore) {
        this.storicoCodiceNumeratore = new IdType(storicoCodiceNumeratore);
    }
        
    /**
     * 
     * @return IdType
     */
    public IdType getStoricoCodiceVariazione() {
        return storicoCodiceVariazione;
    }
        
    /**
     * 
     * @param storicoCodiceVariazione
     */
    public void setStoricoCodiceVariazione(IdType storicoCodiceVariazione) {
        this.storicoCodiceVariazione = storicoCodiceVariazione;
    }
        
    /**
     * 
     * @param storicoCodiceVariazione
     */
    public void setStoricoCodiceVariazione(String storicoCodiceVariazione) {
        this.storicoCodiceVariazione = new IdType(storicoCodiceVariazione);
    }
        
    /**
     *  
     * @return String
     */
    public String getQueryDirettaJdbcDriver() {
        return queryDirettaJdbcDriver;
    }
        
    /**
     * 
     * @param queryDirettaJdbcDriver
     */
    public void setQueryDirettaJdbcDriver(String queryDirettaJdbcDriver) {
        this.queryDirettaJdbcDriver = queryDirettaJdbcDriver;
    }
        
    /**
     * 
     * @return String
     */
    public String getQueryDirettaJdbcUrl() {
        return queryDirettaJdbcUrl;
    }
        
    /**
     * 
     * @param queryDirettaJdbcUrl
     */
    public void setQueryDirettaJdbcUrl(String queryDirettaJdbcUrl) {
        this.queryDirettaJdbcUrl = queryDirettaJdbcUrl;
    }
        
    /**
     * 
     * @return String
     */
    public String getQueryDirettaPasswd() {
        return queryDirettaPasswd;
    }
        
    /**
     * 
     * @param queryDirettaPasswd
     */
    public void setQueryDirettaPasswd(String queryDirettaPasswd) {
        this.queryDirettaPasswd = queryDirettaPasswd;
    }
        
    /**
     * 
     * @return String
     */
    public String getQueryDirettaUser() {
        return queryDirettaUser;
    }
    
    public void setQueryDirettaUser(String queryDirettaUser) {
        this.queryDirettaUser = queryDirettaUser;
    }
        
    /**
     * 
     * @return String
     */
    public String getDsPoolID() {
        return dsPoolID;
    }
        
    /**
     * 
     * @param dsPoolID
     */
    public void setDsPoolID(String dsPoolID) {
        this.dsPoolID = dsPoolID;
    }

    /**
     * 
     * @return
     */
	public String getSRID() {
		return SRID;
	}

	/**
	 * 
	 * @param sRID
	 */
	public void setSRID(String sRID) {
		SRID = sRID;
	}

	
}
