package it.prato.comune.sit;

import it.prato.comune.utilita.logging.interfaces.LogInterface;

import java.util.ArrayList;
import java.util.List;

public interface IRicerca {

	/**
	 * Definisce il nome della ricerca, che verr mostrato nell'apposita lista di scelta di Tolomeo
	 * @param nomeRicerca
	 */
	public void setNomeRicerca(String nomeRicerca);
	
	/**
	 * 
	 * 
	 * @param id
	 * @param oggTer
	 * @throws SITException
	 */
	public void addRicerca(int id, LayerTerritorio oggTer) throws SITException;
	
	/**
	 * Permette di definire l'insieme dei capi utilizzati per dare la ricerca
	 * 
	 * @param campiRicerca
	 */
	public void setCampiRicerca(List<RicercaCampo> campiRicerca);
	
	/**
	 * Permette di recuperare l'elenco dei campi sui quali viene effettuata la ricerca
	 * @return
	 */
	public List<RicercaCampo> getCampiRicerca();
	
	/**
	 * Implementa la ricerca effettiva
	 * 
	 * @param args
	 * @return
	 * @throws SITException
	 */
	public ArrayList<OggettoTerritorio> cerca(Object...args) throws SITException;
	
	/**
	 * Implementa l'autosuggest sui campi della ricerca abilitati
	 * 
	 * @param nCampo
	 * @param withGeometry
	 * @param valori
	 * @return
	 * @throws SITException
	 */
	public JSGeometryArrayList<? extends JSGeometry> ricercaSuggest2(int nCampo, boolean withGeometry, Object... valori)	throws SITException ;

	/**
	 * Permette di settare il logger
	 * 
	 * @param logger
	 */
	public void setLogger(LogInterface logger);
	
	/**
	 * Permette di settare layerTerr
	 * 
	 * @param layerTer
	 */
	public void setLayerTer(LayerTerritorio layerTer); 
	
	/**
	 * Permette di impostare se la ricerca consente di impostare il filtro geometrico.
	 * 
	 * @param geomFilterAvailable true se la ricerca consente di impostare il filtro geometrico.
	 */
	public void setGeomFilterAvailable(Boolean geomFilterAvailable);
	
}
