/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
/*
 * Copyright  Comune di Prato - Sistema Informativo
 * Project:    Package SIT per elaborazione/interrogazione/gestione dati cartografici 
 * File:       Layers.java
 * Author:     Alessandro Radaelli
 * Version:    1.0.0
 * CreationDate:   Giugno 2005
 * ModifyDate:     
 *
 * Function:    
 * 
 *             
 */
package it.prato.comune.sit;


/**
 * Interfaccia  Layers.
 * 
 * @author Ing. Alessandro Radaelli
 *
 */
public interface Layers {

    // ///////////////////
    // TUTTI I LAYER
    // ///////////////////
    public static final String NL_IDTPN          = "NL_IDTPN".intern();
    public static final String NL_DTINIZIOFILTRO = "NL_DTINIZIOFILTRO".intern();
    public static final String NL_DTFINEFILTRO   = "NL_DTFINEFILTRO".intern();
    public static final String NL_CODENTE   	 = "NL_CODENTE".intern();
    

    // /////////////////////////
    // TUTTI LAYER STORICI
    // /////////////////////////
    public static final String NL_IDSTORICO   = "NL_IDSTORICO".intern();  
    public static final String NL_ENTESTORICO = "NL_ENTESTORICO".intern();  
    public static final String NL_PROGIVAL    = "NL_PROGIVAL".intern();  
    public static final String NL_PROGFIVAL   = "NL_PROGFIVAL".intern();  
    public static final String NL_DTIVAL      = "NL_DTIVAL".intern();  
    public static final String NL_DTFIVAL     = "NL_DTFIVAL".intern();  
    public static final String NL_FLERR       = "NL_FLERR".intern();
    
    public static final String NL_FID         = "##FID##".intern();  

    public static final int LAYER_OF_POINTS   = 0;
    public static final int LAYER_OF_LINES    = 1;
    public static final int LAYER_OF_POLYGONS = 2;

    //abstract OggettoTerritorio creaOggetto(Feature curFeat);
    //abstract void initNomiCampi(Properties pr, String ente, String nomeLayer);

    /**
     * Deve restituire un valore fra quelli che definiscono il tipo di contenuto del layer:
     * 
     * - punti
     * - linee
     * - poligoni
     * 
     * @return int
     */
    public int getContentTypeLayer();
   
}
