/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
/*
 * Copyright  Comune di Prato - Sistema Informativo
 * Project:    Package SIT per elaborazione/interrogazione/gestione dati cartografici 
 * File:       Punto.java
 * Author:     Alessandro Radaelli
 * Version:    1.0.0
 * CreationDate:   Giugno 2005
 * ModifyDate:     
 *
 * Function:    Classe di gestione punti.
 *             
 */

package it.prato.comune.sit;

import com.vividsolutions.jts.geom.Point;

/**
 * Classe  Punto.
 * 
 * @author Ing. Alessandro Radaelli
 *
 */
public class Punto {
	
    private double x;
    private double y;
    private String SRID;
    
    /**
     * Costruttore di default della classe Punto.
     */
    public Punto() {
    	x = 0;
    	y = 0;
    }
        
    /**
     * Costruttore della classe Punto.
     * 
     * @param x
     * @param y
     */
    public Punto(double x, double y) {
    	this.x = x;
    	this.y = y;
    }
    
    public Punto(double x, double y, String SRID) {
    	this.x = x;
    	this.y = y;
    	this.SRID = SRID;
    }
    
    /**
     * @return double
     */
    public double getX() {
        return x;
    }
    
    /**
     * @param x
     */
    public void setX(double x) {
        this.x = x;
    }
    
    /**
     * @return double
     */
    public double getY() {
        return y;
    }
    
    /**
     * @param y
     */
    public void setY(double y) {
        this.y = y;
    }

    /**
     * 
     * @return
     */
    public String getSRID() {
		return SRID;
	}

    /**
     * 
     * @param sRID
     */
	public void setSRID(String SRID) {
		this.SRID = SRID;
	}

	/**
     * @param p1
     * @return Punto
     */
    public static Punto PointToPunto(Point p1){
    	return new Punto(p1.getX(), p1.getY());
    }
    
    /**
     * @param p1
     * @return Point
     */
    public static Point PuntoToPoint(Punto p1){
        return LayerPuntiTerritorio.creaPoint(p1.getX(), p1.getY());
    }
}
