/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
/*
 * Copyright  Comune di Prato - Sistema Informativo
 * Project:    Package SIT per elaborazione/interrogazione/gestione dati cartografici 
 * File:       RettangoloContenitore.java
 * Author:     Alessandro Radaelli
 * Version:    1.0.0
 * CreationDate:   Giugno 2005
 * ModifyDate:     
 *
 * Function:   Classe di gestione di un rettangolo contenenitore
 * 
 *             
 */

package it.prato.comune.sit;

/**
 * Classe  RettangoloContenitore.
 * 
 * @author bf78
 *
 */




public class RettangoloContenitore {

    private double XMin;
    
    private double XMax;

    private double YMin;
    
    private double YMax;
    
    private double XCentro;
    
    private double YCentro;
    
    /**
     * Costruttore della classe RettangoloContenitore.
     * 
     * @param XMin
     * @param YMin
     * @param XMax
     * @param YMax
     */
    RettangoloContenitore (double XMin,  double YMin, double XMax, double YMax) {        
        this.XMin = XMin ;
        this.YMin = YMin;
        this.XMax = XMax;
        this.YMax = YMax;
        this.XCentro = (XMax + XMin) / 2.0d ;
        this.YCentro = (YMax + YMin) / 2.0d ;        
    }    
    
    /**
     * Restituisce la coordinata X massima.
     * 
	 * @return double
	 * 
	 */
    public double getXMax() {
		return XMax;
	}
    
    /**
     * Imposta la coordinata X massima.
     * 
	 * @param max 
	 * 
	 */
    public void setXMax(double max) {
		XMax = max;
	}
    
    /**
     * Restituisce la coordinata X minima.
     * 
	 * @return double
	 * 
	 */
    public double getXMin() {
		return XMin;
	}
    
    /**
     * Imposta la coordinata X minima.
     * 
	 * @param min 
	 * 
	 */
    public void setXMin(double min) {
		XMin = min;
	}
    
    /**
     * Restituisce la coordinata Y massima.
     * 
	 * @return double
	 * 
	 */
    public double getYMax() {
		return YMax;
	}
    
    /**
     * Imposta la coordinata X massima.
     * 
	 * @param max 
	 * 
	 */
    public void setYMax(double max) {
		YMax = max;
	}
    
    /**
     * Restituisce la coordinata Y minima.
     * 
	 * @return double
	 * 
	 */
    public double getYMin() {
		return YMin;
	}
    
    /**
     * Imposta la coordinata Y minima.
     * 
	 * @param min
	 * 
	 */
    public void setYMin(double min) {
		YMin = min;
	}

    /**
     * Restituisce la coordinata X del centro.
     * 
	 * @return double
	 * 
	 */
    public double getXCentro() {
		return XCentro;
	}

    /**
     * Restituisce la coordinata y del centro.
     * 
	 * @return double
	 * 
	 */
    public double getYCentro() {
		return YCentro;
	}    
}
