/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
/*
 * Copyright  Comune di Prato - Sistema Informativo
 * Project:    Package SIT per elaborazione/interrogazione/gestione dati cartografici 
 * File:       SITGeometryInterface.java
 * Author:     Alessandro Radaelli
 * Version:    1.0.0
 * CreationDate:   Giugno 2005
 * ModifyDate:     
 * 
 *             
 */

package it.prato.comune.sit;

import com.vividsolutions.jts.geom.Geometry;


/**
 * Classe  SITGeometryInterface.
 * 
 * @author Ing. Alessandro Radaelli
 *
 */




public interface SITGeometryInterface { 
    
    public Geometry getGeometryAttribute();
    
    /**
     * @param modello
     * @throws SITGeometryCastNotSupported
     */
    public void castToSameGeom (Geometry modello) throws SITGeometryCastNotSupported ;
    
    /**
     * @param modello
     * @throws SITIllegalAttributeException
     * @throws SITGeometryCastNotSupported
     */
    public void castToSameGeom (SITGeometryInterface modello) throws SITIllegalAttributeException, SITGeometryCastNotSupported ;                  
    
    /**
     * @return String
     */
    public String getGeometryAttributeWKT();
    
    /**
     * @param WKTString
     * @throws SITParseException
     * @throws SITIllegalAttributeException
     */
    public void setGeometryAttributeWKT(String WKTString) throws SITParseException, SITIllegalAttributeException;
    
    /**
     * @param geom
     * @throws SITIllegalAttributeException
     */
    public void setGeometryAttributeGeom(Geometry geom) throws SITIllegalAttributeException;
    
    /*public String getIDTPN(){
        
        String szbuff = layer.getNomiCampi(Costanti.NL_IDTPN);
        if (szbuff!=null) {
            return (String) getAttribute(layer.getNomiCampi(Costanti.NL_IDTPN));
        } else {
            return null;
        }
    }*/
 
    /**
     * @return RettangoloContenitore
     */
    public RettangoloContenitore getRettContenitore();    

    /**
     * @return Punto
     */
    public Punto getCentroide();
    
    /**
     * @param ogTer
     * @return double
     */
    public double distanza (SITGeometryInterface ogTer);
    
    /**
     * @param p1
     * @return double
     */ 
    public double distanza (Punto p1);
    
    /**
     * @param ogTer
     * @return boolean
     */
    public boolean interseca(SITGeometryInterface ogTer);
    
    /**
     * @param ogTer
     * @return boolean
     */
    public boolean contiene(SITGeometryInterface ogTer);
    
    /**
     * @param ogTer
     * @param range
     * @return boolean
     */
    public boolean distamenodi(SITGeometryInterface ogTer, double range);
    
    /**
     * @param ogTer
     * @throws SITIllegalAttributeException
     */
    public void intersezione (SITGeometryInterface ogTer) 
       throws SITIllegalAttributeException;    
    
    /**
     * @param ogTer
     * @throws SITIllegalAttributeException
     * @throws SITGeometryCastNotSupported
     */
    public void unione (SITGeometryInterface ogTer)
       throws SITIllegalAttributeException, SITGeometryCastNotSupported;

    /**
     * @param ogTer
     * @throws SITIllegalAttributeException
     * @throws SITGeometryCastNotSupported
     */
    public void differenza (SITGeometryInterface ogTer)
       throws SITIllegalAttributeException, SITGeometryCastNotSupported;             
}
