/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
package it.prato.comune.sit;

import java.util.List;

/**
 * Bean contenente il risultato di una ricerca paginata e/o ordinata
 * 
 * @author Ing. Alessandro Radaelli
 *
 */
public class SITPaginatedResult {
	private List<? extends OggettoTerritorio> result = null;
	private Integer totalCount=0;
	private Integer maxFeatures=0;
	private Integer startIndex=0;
	private SortItem[] sortItems = null;
	
	/**
	 * @return lista contenete il risultato della ricerca
	 */
	public List<? extends OggettoTerritorio> getResult() {
		return result;
	}
	
	/**
	 * @param result setta il risultato della ricerca
	 */
	public void setResult(List<? extends OggettoTerritorio> result) {
		this.result = result;
	}
	
	/**
	 * @return il numero totale dei record, indipendentemente dalla paginazione (per es. se il recordset che soddisfa i criteri di ricerca ha 100 elementi e sono richiesti a pagine di 10, getTotalCount()=100, 
	 *         mentre in getResult ci saranno 10 elementi 
	 */
	public Integer getTotalCount() {
		return totalCount;
	}
	
	/**
	 * @param totalCount il totalCount da settare {@link SITPaginatedResult#getTotalCount()}
	 */
	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}
	/**
	 * @return dimensioni della pagina
	 */
	public Integer getMaxFeatures() {
		return maxFeatures;
	}
	/**
	 * @param maxFeatures dimensioni della pagina da settare
	 */
	public void setMaxFeatures(Integer maxFeatures) {
		this.maxFeatures = maxFeatures;
	}
	/**
	 * @return indice iniziale 
	 */
	public Integer getStartIndex() {
		return startIndex;
	}
	/**
	 * @param startIndex indice iniziale da settare
	 */
	public void setStartIndex(Integer startIndex) {
		this.startIndex = startIndex;
	}
	/**
	 * @return Vettore di {@link SortItem}
	 */
	public SortItem[] getSortItems() {
		return sortItems;
	}
	/**
	 * @param sortItems sortItems da settare
	 */
	public void setSortItems(SortItem[] sortItems) {
		this.sortItems = sortItems;
	}
	
	
	
}
