/*******************************************************************************
 * Tolomeo is a developing framework for visualization, editing,  
 * geoprocessing and decisional support application based on cartography.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * This file is part of Tolomeo.
 * 
 * Tolomeo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * 
 * Tolomeo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with Tolomeo; 
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  021101301  USA
 * 
 * Developers Information:
 * 
 * Tolomeo is developed by Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it 
 * 
 * 
 * Versione in Italiano LGPL
 * 
 * Tolomeo  un framework per lo sviluppo di applicazioni per
 * visualizzazione, editing, geoprocessing e supporto alla decisione basate su cartografia.
 * 
 * Tolomeo Copyright 2011 Comune di Prato;
 * 
 * Questo file fa parte di Tolomeo.
 * 
 * Tolomeo  un software libero;  possibile redistribuirlo e / o 
 * modificarlo sotto i termini della GNU Lesser General Public License, 
 * come pubblicato dalla Free Software Foundation, sia la versione 3 della licenza o (a propria scelta) una versione successiva.
 *  
 * Tolomeo  distribuito nella speranza che possa essere utile,
 * ma SENZA ALCUNA GARANZIA, senza neppure la garanzia implicita di COMMERCIABILIT o
 * IDONEIT PER UN PARTICOLARE SCOPO. Vedere la GNU Lesser General Public License per ulteriori dettagli.
 * 
 * Si dovrebbe avere ricevuto una copia della GNU Lesser General Public insieme a Tolomeo, in caso contrario, 
 * si scriva alla Free Software  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 021101301 USA
 *  
 * 
 * Informazioni Sviluppatori:
 * 
 * Tolomeo  sviluppato dal Comune di Prato
 * 
 * Alessandro Radaelli
 * Federico Nieri
 * Mattia Gennari
 * 
 * sit@comune.prato.it
 ******************************************************************************/
/*
 * Copyright  Comune di Prato - Sistema Informativo
 * Project:    Package SIT per elaborazione/interrogazione/gestione dati cartografici 
 * File:       SITParseException.java
 * Author:     Alessandro Radaelli
 * Version:    1.0.0
 * CreationDate:   Giugno 2005
 * ModifyDate:     
 * 
 *             
 */
package it.prato.comune.sit;

/**
 * Classe SITParseException.
 * 
 * @author Ing. Alessandro Radaelli
 *
 */
public class SITParseException extends SITException  {

	private static final long serialVersionUID = 183769939897151696L;

	/**
	 * Costruttore di default della classe SITParseException.
	 * 
	 */
	public SITParseException() {
        super();
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param tipoErr
     * @param messaggio
     * @param e
     */
    public SITParseException(char tipoErr, String messaggio, Exception e) {
        super(tipoErr, messaggio, e);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param tipoErr
     * @param messaggio
     */
    public SITParseException(char tipoErr, String messaggio) {
        super(tipoErr, messaggio);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param codice
     * @param tipoErr
     * @param messaggio
     * @param e
     */
    public SITParseException(int codice, char tipoErr, String messaggio, Exception e) {
        super(codice, tipoErr, messaggio, e);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param codice
     * @param tipoErr
     * @param messaggio
     */
    public SITParseException(int codice, char tipoErr, String messaggio) {
        super(codice, tipoErr, messaggio);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param codice
     * @param messaggio
     * @param e
     */
    public SITParseException(int codice, String messaggio, Exception e) {
        super(codice, messaggio, e);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param codice
     * @param messaggio
     */
    public SITParseException(int codice, String messaggio) {
        super(codice, messaggio);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param messaggio
     * @param e
     */
    public SITParseException(String messaggio, Exception e) {
        super(messaggio, e);
    }

    /**
     * Costruttore della classe SITParseException.
     * 
     * @param messaggio
     */
    public SITParseException(String messaggio) {
        super(messaggio);
    }
}
